# Contributing to Projectfork

Please take a moment to review this document in order to make the contribution
process easy and effective for everyone involved.


## Using the issue tracker

The issue tracker is the preferred channel for bug reports, features requests and submitting pull
requests.


## Bug reports

Guidelines for bug reports:

1. **Use the GitHub issue search** &mdash; check if the issue has already been
   reported and/or fixed.

2. **Isolate the problem** &mdash; ideally create a live example.

A good bug report shouldn't leave others needing to chase you up for more
information. Please try to be as detailed as possible in your report. What is
your environment? What steps will reproduce the issue? What browser(s); Projectfork; Joomla and PHP version
experience the problem? What would you expect to be the outcome? All these
details will help people to fix any potential bugs.

Example:

> Short and descriptive example bug report title
>
> A summary of the issue and the Browser/Joomla Version/Projectfork Version/PHP Version in which it occurs. If
> possible, include the steps required to reproduce the bug.
>
> 1. This is the first step
> 2. This is the second step
> 3. Further steps, etc.
>
>
> Any other information you want to share that is relevant to the issue being
> reported. This might include the lines of code that you have identified as
> causing the bug, and potential solutions (and your opinions on their
> merits).


## Feature requests

Feature requests are welcome. But take a moment to find out whether your idea fits with the scope and aims of Projectfork.


### Pull requests

**Please ask first** before embarking on any significant pull request (e.g.
implementing features, refactoring code), otherwise you risk spending a lot of time working on something that we might not want to merge into the project.


**IMPORTANT**: By submitting code, you agree to license your work under the General Public License V2 or an otherwise compatible license (such as MIT).
